package com.ruoyi.ems.enums;

/**
 * 用户状态
 *
 * @author ruoyi
 */
public enum AlarmObjType {
    // 1：区域，2：设施，3：设备,4：配电柜
    AREA(1, "区块"),
    /**
     * Facs obj type.
     *
     * @author chen.cheng
     */
    FACS(2, "设施"),
    /**
     * Device obj type.
     *
     * @author chen.cheng
     */
    DEVICE(3, "设备"),
    /**
     * Power box obj type.
     *
     * @author chen.cheng
     */
    POWER_BOX(4, "配电柜");

    /**
     * The Code.
     *
     * @author chen.cheng
     */
    private final Integer code;

    /**
     * The Info.
     *
     * @author chen.cheng
     */
    private final String info;

    /**
     * Instantiates a new Obj type.
     *
     * @param code the code
     * @param info the info
     * @author chen.cheng
     */
    AlarmObjType(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * Gets code.
     *
     * @return the code
     * @author chen.cheng
     */
    public Integer getCode() {
        return code;
    }

    /**
     * Gets info.
     *
     * @return the info
     * @author chen.cheng
     */
    public String getInfo() {
        return info;
    }
}
